import request from "@/scripts/httpRequest"
import qs from "qs"

//获取是否保存过用户名密码 以及是否保存过注册信息
export const getInitInfo = (query: any) => {
  return request({
    url: "/data/api-v/sysinit/getInitInfo",
    method: "get",
    params: query
  })
}

//获取注册信息
export const getRegInfo = (query: any) => {
  return request({
    url: "/data/api-v/sysinit/getRegInfo",
    method: "get",
    params: query
  })
}

//获取网卡列表
export const networkList = (query: any) => {
  return request({
    url: "/data/api-v/sysinit/networkList",
    method: "get",
    params: query
  })
}

//保存用户名密码
export const savePassword = (data: any) => {
  return request({
    url: "/data/api-v/sysinit/savePassword",
    method: "post",
    data
  })
}

//初始化网络
export const initNetwork = (data: any) => {
  return request({
    url: "/data/api-v/sysinit/initNetwork",
    method: "post",
    data
  })
}

//保存注册信息
export const saveRegInfo = (data: any) => {
  return request({
    url: "/data/api-v/sysinit/saveRegInfo",
    method: "post",
    data
  })
}

export const getList = (query: any) => {
  return request({
    url: "/data/api-v/gb28181/findAreaByParentId",
    method: "get",
    params: query
  })
}

export const isOnNet = (query: any) => {
  return request({
    url: "http://apps.smartai.com/data/api-u/user/login",
    method: "get",
    params: query
  })
}

// 登录
export const tologin = (query: any) => {
  // let query = 'username=' + user.loginName + '&password=' + user.password
  return request({
    url: "/data/api-u/sys/login",
    method: "post",
    data: qs.stringify(query)
  })
}

// 退出
export const logout = () => {
  return request({
    url: "/data/api-u/sys/logout",
    method: "get"
  })
}

// 获取用户信息
// export const getLoginUserData = () => {
//   let token =
//     sessionStorage.getItem('loginedInfo') &&
//     JSON.parse(sessionStorage.getItem('loginedInfo')).access_token
//   return request({
//     url: '/data/api-u/users/current',
//     method: 'get',
//     headers: {
//       'Content-Type': 'application/x-www-form-urlencoded',
//       Authorization: token || ''
//     }
//   })
// }

export const getLoginUserData = () => {
  let token = sessionStorage.getItem("loginedInfo") && JSON.parse(sessionStorage.getItem("loginedInfo")).access_token
  return request({
    url: "/data/api-u/users/profile",
    method: "get",
    headers: {
      "Content-Type": "application/x-www-form-urlencoded",
      Authorization: token || ""
    }
  })
}

//修改密码
export const updatePwd = (query: any) => {
  return request({
    url: "/data/api-u/users/updatePwd",
    method: "post",
    data: qs.stringify(query)
  })
}

//获取项目名称
export const getServerName = (query: any) => {
  return request({
    url: "/data/api-v/info/getServerName",
    method: "get"
  })
}
